Bug 1282417 - plasma system tray settings dialog broken
plasma system tray settings dialog broken
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
: Reopened
: 1282670 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 05:51 EST by Corinna Vinschen
Modified: 2016-07-19 14:29 EDT (History)
7 users (show)

See Also:
Fixed In Version: plasma-workspace-5.4.3-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:29:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corinna Vinschen 2015-11-16 05:51:47 EST
Description of problem:

  In the "System Tray Settings" dialog, the "Entries" tab is behaving
  erratically.  If I change the visibility of an arbitrary entry from
  "Auto" to "Shown", either this or some other arbitrary entry is set
  to "Hidden" instead.

  You can check this by inspecting
  ~/.config/plasma-org.kde.plasma.desktop-appletsrc
  After the aforementioned action has been performed, the entry has been
  added to the "hiddenItems" list.

  Example: 5 entries:

    Device Notifier   ->  Auto
    Volume Control    ->  Shown
    yarssr            ->  Auto
    Printers          ->  Auto
    Software Updates  ->  Auto

  Content of plasma-org.kde.plasma.desktop-appletsrc:

    hiddenItems=org.kde.plasma.clipboard,org.kde.plasma.mediacontroller,
    org.kde.plasma.battery
    shownItems=kmix,ksystraycmd

  Now I change "Software Updates" to "Shown".   The result is that the
  yarssr icon disappears.  If I close and re-open the "System Tray Settings"
  dialog, the content looks like this:

    Device Notifier   ->  Auto
    Volume Control    ->  Shown
    yarssr            ->  Hidden
    Printers          ->  Auto
    Software Updates  ->  Auto

  Content of plasma-org.kde.plasma.desktop-appletsrc:

    hiddenItems=org.kde.plasma.clipboard,org.kde.plasma.mediacontroller,
    org.kde.plasma.battery,rss
    shownItems=kmix,ksystraycmd

  Note that "rss" has been added to the hiddenItems list.  This example
  is the more complex case where some other application is affected than
  the one the user is trying to change the visibilty state for.

  I'm also reproducibly observing the simpler behaviour that the icon of
  the application "clementine" is hidden instead of shown as soon as its
  visibility is set to "Shown".  Naturally it then shows up in the
  "hiddenItems" list in plasma-org.kde.plasma.desktop-appletsrc.

  There's also no way to revert this change from the GUI.  The only way
  I found to rectify this problem is to logout, login to a local console
  and change ~/.config/plasma-org.kde.plasma.desktop-appletsrc manually.

Version-Release number of selected component (if applicable):

  plasma-workspace-5.4.3-1.fc22.x86_64

How reproducible:

  See above.

Actual results:

  Broken systray visibility settings

Expected results:

  The visibility state gets correctly set and stored in
  ~/.config/plasma-org.kde.plasma.desktop-appletsrc


Corinna
Comment 1 Fedora Update System 2015-11-16 06:13:18 EST
plasma-workspace-5.4.3-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7eca381865
Comment 2 Fedora Update System 2015-11-16 09:18:51 EST
plasma-workspace-5.4.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b56dfe6d7
Comment 3 Fedora Update System 2015-11-16 13:23:09 EST
plasma-workspace-5.4.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-workspace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b56dfe6d7
Comment 4 Corinna Vinschen 2015-11-16 14:19:16 EST
(In reply to Fedora Update System from comment #3)
> plasma-workspace-5.4.3-3.fc23 has been pushed to the Fedora 23 testing
> repository...

When I try `dnf --enablerepo=updates-testing update plasma-workspace' it
tries to install version 5.4.3-2, not 5.4.3-3 as outlined above.  Is just
the version number wrong or does updates-testing not yet have the latest
-3 version?  I'm asking because the bodhi entry claims that only -3 is
supposed to fix the problem in this BZ...


Thanks,
Corinna
Comment 5 Rex Dieter 2015-11-16 14:21:10 EST
According to 
https://bodhi.fedoraproject.org/updates/FEDORA-2015-7eca381865

It's -3 has not been pushed to repos yet (the push is currently underway now)
Comment 6 Fedora Update System 2015-11-16 17:21:36 EST
plasma-workspace-5.4.3-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-workspace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7eca381865
Comment 7 Corinna Vinschen 2015-11-17 05:01:51 EST
5.4.3-3.fc22 apparently fixes the problem.


Thanks,
Corinna
Comment 8 Jan Grulich 2015-11-18 08:31:47 EST
*** Bug 1282670 has been marked as a duplicate of this bug. ***
Comment 9 Corinna Vinschen 2015-11-18 10:01:07 EST
I spoke too soon.

While testing yesterday everything worked as desired, today I noticed
that an icon I had set to hidden was visible again.  Looking into
the dialog, the state of this tray icon was "Auto" again.  So I looked
into the plasma-org.kde.plasma.desktop-appletsrc file, and it contained
this:

  hiddenItems=org.kde.plasma.clipboard,org.kde.plasma.mediacontroller,
  org.kde.plasma.battery,62914600

Note the last entry.  The expected entry would have been something like
"gdesklets".  However, the above looks like a Window ID instead.  So I
changed the state of "gdesklets" to "Hidden" again and this changed the
above hiddenItems line to

  hiddenItems=org.kde.plasma.clipboard,org.kde.plasma.mediacontroller,
  org.kde.plasma.battery,62914600,58720295

I checked with xwininfo, and yes, 58720295 is the Window ID of the
gdesklets-daemon.

So the current test release 5.4.3-3 accidentally stores Window IDs
in plasma-org.kde.plasma.desktop-appletsrc, which naturally don't
persist over session.


Corinna
Comment 10 Rex Dieter 2015-11-18 10:03:40 EST
Ok, looks like we have more than one issue to track here.

Did that work before and the current behavior is a regression ?

If so, we need an upstream bug to track it.
Comment 11 Corinna Vinschen 2015-11-18 10:17:52 EST
It didn't work correctly before either,that's why I opened this BZ.
The 5.4.3-1 version corrctly stored application names, but incorrectly
the wrong ones in the wrong line.

If you mean pre-5.4.3, I think it worked completely correctly before,
yes.  At least my settings from before seem to have worked, IIRC.
Only some update broke this dialog's functionality.


Corinna
Comment 12 Fedora Update System 2015-11-19 04:53:35 EST
plasma-workspace-5.4.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-11-24 17:24:04 EST
plasma-workspace-5.4.3-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Corinna Vinschen 2015-11-25 15:58:24 EST
Why exactly has this issue been closed?

The patch applied to 5.4.3-3 does not actually fix the issue, as I outlined in
https://bugzilla.redhat.com/show_bug.cgi?id=1282417#c9

This looks a bit preliminary to me.


Corinna
Comment 15 Corinna Vinschen 2015-11-29 08:05:34 EST
Reopening the bug since the fix from 5.4.3-3 is buggy as outlined in
https://bugzilla.redhat.com/show_bug.cgi?id=1282417#c9
Comment 16 Rex Dieter 2015-11-29 08:14:34 EST
I'll re-echo request from comment #10 , please document the remaining issues in an upstream bug report if at all possible.  Thanks.
Comment 17 Corinna Vinschen 2015-11-30 04:24:32 EST
I don't have any relationship with upstream, sorry.  Can you please file the bug
in their bug tracker?


Thanks,
Corinna
Comment 18 Rex Dieter 2015-11-30 07:01:39 EST
It's best if the reporter is someone who is experiencing the bug (I don't)
Comment 19 Fedora End Of Life 2016-07-19 14:29:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.